Bug 246664 - Add le_connect command to connect to an LE device
Summary: Add le_connect command to connect to an LE device
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: wireless (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-wireless (Nobody)
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2020-05-22 17:12 UTC by Marc Veldman
Modified: 2020-05-28 13:49 UTC (History)
4 users (show)

See Also:


Attachments
Add le_connect command (6.40 KB, patch)
2020-05-22 17:12 UTC, Marc Veldman
no flags Details | Diff
Add missing \n (495 bytes, patch)
2020-05-28 02:57 UTC, Marc Veldman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Veldman 2020-05-22 17:12:21 UTC
Created attachment 214762 [details]
Add le_connect command

Add command to connect to an LE device.
Comment 1 Takanori Watanabe freebsd_committer 2020-05-26 15:52:46 UTC
https://svnweb.freebsd.org/base?view=revision&revision=361520
committed thanks
Comment 3 Marc Veldman 2020-05-28 02:57:40 UTC
Created attachment 214946 [details]
Add missing \n
Comment 4 Marc Veldman 2020-05-28 02:58:19 UTC
(In reply to Jose Luis Duran from comment #2)
You're correct. Well spotted. Thanks!
Comment 5 Marc Veldman 2020-05-28 02:59:38 UTC
Add patch to fix n -> \n. 
Reported by Jose Luis Duran
Comment 6 commit-hook freebsd_committer 2020-05-28 13:49:30 UTC
A commit references this bug:

Author: takawata
Date: Thu May 28 13:48:34 UTC 2020
New revision: 361586
URL: https://svnweb.freebsd.org/changeset/base/361586

Log:
  Fix connection event message string (n->\n)

  PR: 246664
  Submitted by: Marc Veldman (marc@bumblngdork.com)
  Reported by:	Jose Luis Duran (jlduran@gmail.com)

Changes:
  head/usr.sbin/bluetooth/hccontrol/le.c